Subject: Re: bug#8382: tramp needs ability to be turned off

From: Michael Albinus <[email-masked]>
Date: Sat, 02 Apr 2011 15:26:48 +0200

Perry Smith <[email-masked]> writes:

> When I do rlogin inside emacs, each time I do a cd (change directory),
> tramp tries to ssh to the same system.  ssh isn't set up on that
> system so I have to ^G out of the sequence.  It would be nice if tramp
> was off by default and enabled upon request.  If not that, at least
> give me a way to turn it off easily.  Perhaps in the menu that is
> asking for ssh credentials, give a way to say "not for this host at
> this time".
>
> I am using Emacs 22.3 in one case and on my Mac I have:
>
> GNU Emacs 23.3.1 (x86_64-apple-darwin10.7.1, Carbon Version 1.6.0
> AppKit 1038.35) of 2011-03-22 on magicbook-009041100055.austin.ibm.com
>
> The 22.3 version seems a little less hostile than the 23.3 version.

Unless Tramp's file name syntax is used, it shouldn't be
visible. Starting with Emacs 24 (which you don't use yet), Tramp is
loaded only with minimal functionality at startup, loading its internal
modules when needed only. See bug#1529, bug#5448, bug#5705.

Disabling Tramp is described in its manual:

  (info "(tramp) Frequently Asked Questions")

It summarizes the options to disable Tramp, discussed also in the
help-gnu-emacs mailing list on the respective thread.

Best regards, Michael.